html, body {
  margin: 0;
  padding: 0;
  height: 100%;
  overflow: hidden;
}

#map-container {
  width: 100vw;
  height: 100vh;
  position: relative;
  overflow: hidden;
}

object {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: transform 1s ease-in-out, opacity 0.5s ease;
}

.detail-map {
  opacity: 0;
  pointer-events: none;
  z-index: 0;
}

.showing {
  opacity: 1;
  pointer-events: auto;
  z-index: 1;
}


/* Modal */

.modal {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0; top: 0;
  bottom: 200px;
  width: 100%; height: 100%;
  background-color: rgba(0,0,0,0.6);
}

.modal-content {
  background: white;
  padding: 20px;
  margin: 10% auto;
  width: 80%;
  max-width: 500px;
  border-radius: 10px;
  position: relative;
}

.close {
  position: absolute;
  top: 10px; right: 15px;
  font-size: 24px;
  cursor: pointer;
}


/* Mobile adjustments */
@media (max-width: 768px) {
  #map-container {
    height: 100svh; 
  }

  object {
    height: 100%;
    width: 100%;
  }
}
